=== debian/changelog ===
musescore (3.2.3+dfsg1-5) unstable; urgency=high

  * Merge musescore2 (2.3.2+dfsg3-8) wtf; urgency=low
    - Bump Policy (nothing relevant), debhelper
    - Remove dependencies on Qt SQL library which are unneeded
    - Fix DEP 5 format: repacking notice must be in Source, not a Comment
    - Update patches (forwarding information / releases fixed)
    - Drop home-grown umask fixup code, dh does this nowadays
    - Use dh’s new execute_{before,after}_* overrides
    - Work around #796257 to fix Debian reproducible builds
    - Don’t show irrelevant Qt5 deprecation warnings; upstream’s to fix
    - Forward and apply fixes by lintian
  * Add some patches from upstream:
    - Fix warning when loading custom workspaces
    - Allow building against Qt 5.14 (Closes: #964641)
    - Fix rendering of emboldened fonts
    - Numerous crash, playback, layout and other bugfixes
  * Update copyright info (Debian and patches from upstream/submissions)
    - a new CLA seems to be used since 2019…
  * SMuFL: fix typo

 -- Thorsten Glaser <tg@mirbsd.de>  Thu, 30 Jul 2020 20:24:17 +0200

musescore (3.2.3+dfsg1-4) unstable; urgency=medium

  * Apply workaround for broken directory bookmarks in file dialogue
  * (Yes I know 3.3’s out, I will be packaging it shortly)
  * Merge musescore2 (2.3.2+dfsg3-7) wtf; urgency=low
  * Upload to sid again without the revert restriking patch
  * Add new features from 3.2 to the package description

 -- Thorsten Glaser <tg@mirbsd.de>  Sun, 10 Nov 2019 22:54:07 +0100

musescore (3.2.3+dfsg1-3exp1) experimental; urgency=medium

  * Upload to experimental, again with the revert restriking patch
  * Use the Debian packaging of freefont, do not bundle it

 -- Thorsten Glaser <tg@mirbsd.de>  Wed, 30 Oct 2019 15:37:20 +0100

musescore (3.2.3+dfsg1-3) unstable; urgency=high

  * Fix crash on reading preferences files containing unrecognised
    entries (such as these from a later otherwise compatible version)
  * Update lintian override: a false positive is no longer present

 -- Thorsten Glaser <tg@mirbsd.de>  Wed, 30 Oct 2019 15:36:22 +0100

musescore (3.2.3+dfsg1-2exp1) experimental; urgency=low

  * Upload to experimental, again with the revert restriking patch

 -- Thorsten Glaser <tg@mirbsd.de>  Mon, 30 Sep 2019 02:32:24 +0200

musescore (3.2.3+dfsg1-2) unstable; urgency=low

  * Upload to unstable, again without the restriking patch
  * Merge musescore (3.2.3+dfsg1-1exp1) experimental; urgency=low
    - pull another post-release bugfix from upstream
  * Set umask 022 for reproducibility
  * Merge musescore2 (2.3.2+dfsg3-6) wtf; urgency=low
    - updates d/copyright with more historic info + formatting
    - modernising and correcing packaging
    - runs test in UTF-8 locale, lile build
    - add -g3 to optdbg builds
    - Policy 4.4.1 (no changes)
  * Fix misspelt translation

 -- Thorsten Glaser <tg@mirbsd.de>  Mon, 30 Sep 2019 01:18:56 +0200

musescore (3.2.3+dfsg1-1exp1) experimental; urgency=low

  * Upload to experimental, again with the revert restriking patch
  * Pull another post-release bugfix from upstream

 -- Thorsten Glaser <tg@mirbsd.de>  Wed, 10 Jul 2019 18:57:24 +0200

musescore (3.2.3+dfsg1-1) unstable; urgency=low

  * Fix About when build number is empty (cosmetic)
  * Merge musescore2 (2.3.2+dfsg3-5) wtf; urgency=low
  * New upstream release
  * Upload to unstable, with the revert restriking patch disabled
  * Fix building with disabled plugins (needed to build on stretch)
  * Small cosmetic fix for About dialogue and --long-version

 -- Thorsten Glaser <tg@mirbsd.de>  Wed, 10 Jul 2019 03:22:28 +0200

musescore (3.2.2+dfsg1-1) experimental; urgency=medium

  * New upstream release
  * Merge musescore-snapshot (3.1+dfsg1-1) experimental; urgency=medium
  * Drop merged patches, update patches
  * Merge musescore2 (2.3.2+dfsg3-4) wtf; urgency=low

 -- Thorsten Glaser <tg@mirbsd.de>  Thu, 04 Jul 2019 23:55:01 +0200

musescore-snapshot (3.1+dfsg1-1) experimental; urgency=medium

  * New upstream release, repackaged as snapshot for integration work
  * Apply four post-release bugfixes: three from master, one from the
    musescore.com backend branch that’s not… yet(?) there
  * Update description with new features from 3.0 and 3.1
  * Merge musescore2 (2.3.2+dfsg3-2) wtf; urgency=medium
  * Supplement the AppStream metadata with the new release
  * Fix charset used by local plugin docs
  * Register plugin documentation with doc-base
  * Note known bug https://musescore.org/en/node/290147

 -- Thorsten Glaser <tg@mirbsd.de>  Mon, 03 Jun 2019 23:42:38 +0200

musescore-snapshot (3.1~pre20190412+dfsg1-1) experimental; urgency=low

  * New upstream snapshot “v3.1beta”
  * Merge musescore (3.0.5+dfsg1-2) experimental; urgency=low
  * Generate and install full plugin documentation locally
  * Merge musescore (3.0.5+dfsg1-3) experimental; urgency=low

 -- Thorsten Glaser <tg@mirbsd.de>  Fri, 19 Apr 2019 22:24:42 +0200

musescore-snapshot (3.1~pre20190227+dfsg1-1) experimental; urgency=low

  * Revert to tracking “git master” snapshots now 3.0.x was branched
  * New upstream snapshot; drop applied and refresh remaining patches

 -- Thorsten Glaser <tg@mirbsd.de>  Wed, 27 Feb 2019 21:01:07 +0100

musescore (3.0.5+dfsg1-3) experimental; urgency=low

  * Merge musescore (2.3.2+dfsg2-6) unstable; urgency=medium
  * Mark more patches as applied upstream
  * Adopt package description marker distinguishing from castling branch
  * Update AppData PR patch
  * Add a few crash fix patches until 3.1 is out
  * Clarify the Qt 5.7 patch use in stretch-backports-sloppy *only*
  * Apply recommended settings of debhelper 12

 -- Thorsten Glaser <tg@mirbsd.de>  Sat, 04 May 2019 01:55:53 +0200

musescore (3.0.5+dfsg1-2) experimental; urgency=low

  * Merge musescore (2.3.2+dfsg2-5) unstable; urgency=medium
  * Update patches and pull three new bugfix patches from upstream
  * Stop suggesting old tiny soundfonts: we pull in a suitable, large

